﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using CMS.SettingsProvider;

[MacroMethodLoader]
public partial class CMSModuleLoader
{
    /// <summary>
    /// Attribute class ensuring the registration of custom macro methods.
    /// </summary>
    private class MacroMethodLoader : CMSLoaderAttribute
    {
        /// <summary>
        /// Called automatically when the application starts.
        /// </summary>
        public override void Init()
        {
            // Calls the registration method.
            CustomMacroMethods.RegisterMethods();
        }
    }
}